Overview
POST
/oauth/signin/loginoauthCentral credential login → sets the SSO session, returns the brand redirect URL
Create a record in login.
Request body
application/json · optional
- clientIdstring
- returnstring
- emailoptionalstring
- slugoptionalstring
- identifieroptionalstring
- passwordstring
Example
{
"clientId": "string",
"return": "string",
"email": "string",
"slug": "string",
"identifier": "string",
"password": "string"
}Responses
200
SSO session established; navigate the browser to redirectUrl
- redirectUrlstring
Example
{
"redirectUrl": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}503
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/oauth/signin/login" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"clientId": "string",
"return": "string",
"email": "string",
"slug": "string",
"identifier": "string",
"password": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/oauth/signin/login", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"clientId\": \"string\",\n \"return\": \"string\",\n \"email\": \"string\",\n \"slug\": \"string\",\n \"identifier\": \"string\",\n \"password\": \"string\"\n}",
});
const data = await res.json();